
function QuickTapBoss()
    KEY()
    FON("Camera1",0)
    FAI(2)
    MNP("GolemTap1",56,-1,0)
    CNP("GolemTap1","CS_boss_tap",0)
    ANP("GolemTap1","down_look")
    ANP("GolemTap1",1060)
    WAI(32)
    AMC("normal",1)
    WAI(32)
    CMU("XXXX")
    ANP("GolemTap1","left_look")
    --开始战斗
    --左力场
    for i=13,18,1 do
        SNP("CS_forcefield",19,i,0,"mainLayer","ForcefieldL")
    end
    --右力场
    for i=13,18,1 do
        SNP("CS_forcefield",59,i,0,"mainLayer","ForcefieldR")
    end
    ANP("GolemTap1","fight")
    CMU("CS_LastBtl3")
    BSL("GolemTap1")
end

function Back()
    PRI()
    TUR()MS4("\nCannot escape!")NOD()
end

function GolemTap1()
    KEY()
    CMU("CS_Fanfale3")
    MS4("\nDefeated Tap!")WAI(140)NOD()CLO()
    FAO(2)
    FOM()
    FLP("DefeatedTap")
    TRA("CS_bossrush_mainstage","E0090",28,60)
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    FOM()
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",28,60)
end

function DeathByMovingPlatform()
    Died()
end